Skip to main content
GET
Payments - List

Authorizations

api-key
string
header
required

Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.

Query Parameters

customer_id
string | null

The identifier for the customer

starting_after
string | null

A cursor for use in pagination, fetch the next list after some object

ending_before
string | null

A cursor for use in pagination, fetch the previous list before some object

limit
integer<int64> | null

Limit on the number of objects to return

created
string<date-time> | null

The time at which payment is created

created_lt
string<date-time> | null

Time less than the payment created time

created_gt
string<date-time> | null

Time greater than the payment created time

created_lte
string<date-time> | null

Time less than or equals to the payment created time

created_gte
string<date-time> | null

Time greater than or equals to the payment created time

Response

Successfully retrieved a payment list

size
integer
required

The number of payments included in the list

Required range: x >= 0
data
object[]
required